Bug 122415 - /etc/rc.d/init.d/rpc* files have wrong chkconfig run levels
/etc/rc.d/init.d/rpc* files have wrong chkconfig run levels
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-05-04 01:18 EDT by Christopher Chan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-14 11:37:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Chan 2004-05-04 01:18:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
problem: trying to start rpc deamons during halt or reboot.
cause: /etc/rc.d/rc[06].d/S??rpc{gssd,imapd,svcgssd} start
  links exist
cause: chkconfig comment line in /etc/rc.d/init.d/rpc* is wrong

Since system is halted/rebooted before the scripts are started, they 
have no effect.  However, the scripts should have cleanly stopped
these deamons at shutdown.

/etc/rc.d/init.d/killall will stop the deamons, but that happens
AFTER portmap and network have been stopped

in the 3 files the line
# chkconfig 0356 xx xx
should be
# chkconfig 345 xx xx

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. shutdown -h now
2. watch for stop messages
3. notice the order of the messages    

Actual Results:  rpc{gssd,imapd,svcgssd} stop do not get called 
before network stop

Expected Results:  rpc{gssd,imapd,svcgssd} stop should occur before 
network stop

Additional info:
Comment 1 Sitsofe Wheeler 2004-06-11 09:23:58 EDT
This also occurs if you try to turn these services off using chkconfig
and you don't specify an explicit level:

chkconfig off rpcidmapd
doesn't turn it off on levels 0 and 6

Note You need to log in before you can comment on or make changes to this bug.